Bug 444902 - firestarter crashes
firestarter crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 13:11 EDT by Martin Naď
Modified: 2009-01-09 01:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Naď 2008-05-01 13:11:20 EDT
Description of problem:
Firestarter GUI crashes with this message emitted to the console:
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve 
property `GtkTreeView::odd-row-color' of type `GdkColor' from rc file value 
"((GString*) 0x9a58e0)" of type `GString' 

I'm using KDE
Version-Release number of selected component (if applicable):
firestarter-1.0.3-17.fc8

How reproducible:
always

Steps to Reproduce:
1.run firestarter
2.wait a few minutess
3.firestarter crashes
  
Actual results:
firestarter crashes

Expected results:
firestarter should not crash

Additional info:
Comment 1 Michal Schmidt 2008-05-01 20:12:39 EDT
I've played with firestarter a bit and it crashed for me too. But I've got a 
different message:

***MEMORY-ERROR***: firestarter[29319]: GSlice: assertion failed: 
sinfo->n_allocated > 0
Aborted
Comment 2 Michal Schmidt 2008-05-01 20:40:25 EDT
It crashes after a while only if I have "Active Connections" expanded. I found 
these similar reports:
http://bugzilla.gnome.org/show_bug.cgi?id=479602
http://bugzilla.gnome.org/show_bug.cgi?id=496270
http://bugzilla.gnome.org/show_bug.cgi?id=482142
https://bugs.launchpad.net/firestarter/+bug/120445


Martin, can you test again and see if you're getting the "GSlice: assertion 
failed" message too? 
Comment 3 Martin Naď 2008-05-03 05:37:26 EDT
*** glibc detected *** firestarter: corrupted double-linked list: 
0x0000000002416210 ***
======= Backtrace: =========
/lib64/libc.so.6[0x7fa849722158]
/lib64/libc.so.6[0x7fa849725853]
/lib64/libc.so.6(__libc_malloc+0x98)[0x7fa849726d48]
/lib64/libglib-2.0.so.0(g_realloc+0x2e)[0x7fa849c717ce]
/lib64/libglib-2.0.so.0[0x7fa849c8b6c4]
/lib64/libglib-2.0.so.0(g_string_sized_new+0x4a)[0x7fa849c8c87a]
/lib64/libglib-2.0.so.0[0x7fa849c6daf3]
/lib64/libglib-2.0.so.0(g_markup_parse_context_parse+0x793)[0x7fa849c70163]
/usr/lib64/libpango-1.0.so.0(pango_parse_markup+0x1c0)[0x7fa84a7eb640]
/usr/lib64/libgtk-x11-2.0.so.0[0x7fa84b7d2aa8]
/usr/lib64/libgtk-x11-2.0.so.0[0x7fa84b7d2595]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_label_set_markup+0xdf)[0x7fa84b7d2c37]
firestarter[0x418d7a]
/lib64/libglib-2.0.so.0(g_hash_table_foreach+0x4d)[0x7fa849c5b4ed]
firestarter[0x418694]
/lib64/libglib-2.0.so.0[0x7fa849c69c5b]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x23b)[0x7fa849c6949b]
/lib64/libglib-2.0.so.0[0x7fa849c6cc7d]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1cd)[0x7fa849c6d1ad]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xdc)[0x7fa84b7e9888]
firestarter[0x40961d]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x7fa8496c832a]
firestarter[0x408a49]
======= Memory map: ========
00110000-0012d000 r-xp 00000000 08:02 481444                             /lib64/
ld-2.8.so
0032c000-0032d000 r--p 0001c000 08:02 481444                             /lib64/
ld-2.8.so
0032d000-0032e000 rw-p 0001d000 08:02 481444                             /lib64/
ld-2.8.so
00400000-0046f000 r-xp 00000000 08:02 277557                             /usr/
sbin/firestarter
0066e000-00671000 rw-p 0006e000 08:02 277557                             /usr/
sbin/firestarter
00671000-00707000 r-xp 00000000 08:02 798081                             /usr/
lib64/libgnomeui-2.so.0.2201.0
00707000-00907000 ---p 00096000 08:02 798081                             /usr/
lib64/libgnomeui-2.so.0.2201.0
00907000-0090d000 rw-p 00096000 08:02 798081                             /usr/
lib64/libgnomeui-2.so.0.2201.0
0090d000-00917000 r-xp 00000000 08:02 792238                             /usr/
lib64/libSM.so.6.0.0
00917000-00b16000 ---p 0000a000 08:02 792238                             /usr/
lib64/libSM.so.6.0.0
00b16000-00b17000 rw-p 00009000 08:02 792238                             /usr/
lib64/libSM.so.6.0.0
00b17000-00b2e000 r-xp 00000000 08:02 792236                             /usr/
lib64/libICE.so.6.3.0
00b2e000-00d2d000 ---p 00017000 08:02 792236                             /usr/
lib64/libICE.so.6.3.0
00d2d000-00d2f000 rw-p 00016000 08:02 792236                             /usr/
lib64/libICE.so.6.3.0
00d2f000-00d32000 rw-p 00d2f000 00:00 0
00d32000-00d9c000 r-xp 00000000 08:02 798047                             /usr/
lib64/libbonoboui-2.so.0.0.0
00d9c000-00f9b000 ---p 0006a000 08:02 798047                             /usr/
lib64/libbonoboui-2.so.0.0.0
00f9b000-00f9f000 rw-p 00069000 08:02 798047                             /usr/
lib64/libbonoboui-2.so.0.0.0
00f9f000-00fa0000 rw-p 00f9f000 00:00 0
00fa0000-00fd2000 r-xp 00000000 08:02 795703                             /usr/
lib64/libgnomecanvas-2.so.0.2001.0
00fd2000-011d2000 ---p 00032000 08:02 795703                             /usr/
lib64/libgnomecanvas-2.so.0.2001.0
011d2000-011d4000 rw-p 00032000 08:02 795703                             /usr/
lib64/libgnomecanvas-2.so.0.2001.0
011d4000-011dc000 r-xp 00000000 08:02 481500                             /lib64/
libpopt.so.0.0.0
011dc000-013dc000 ---p 00008000 08:02 481500                             /lib64/
libpopt.so.0.0.0
013dc000-013dd000 rw-p 00008000 08:02 481500                             /lib64/
libpopt.so.0.0.0
013dd000-013f4000 r-xp 00000000 08:02 796358                             /usr/
lib64/libbonobo-activation.so.4.0.0
013f4000-015f4000 ---p 00017000 08:02 796358                             /usr/
lib64/libbonobo-activation.so.4.0.0
015f4000-015f8000 rw-p 00017000 08:02 796358                             /usr/
lib64/libbonobo-activation.so.4.0.0
015f8000-01654000 r-xp 00000000 08:02 794836                             /usr/
lib
Comment 4 Martin Naď 2008-05-03 05:45:45 EDT
(firestarter:26524): Pango-WARNING **: Invalid UTF-8 string passed to 
pango_layout_set_text()
Neoprávněný přístup do paměti (SIGSEGV)
Comment 5 Bug Zapper 2008-11-26 05:37:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:27:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.